Issue 74744 - Add percent value to progressbar
Summary: Add percent value to progressbar
Status: CLOSED WONT_FIX
Alias: None
Product: General
Classification: Code
Component: ui (show other issues)
Version: OOo 2.2
Hardware: All All
: P4 Trivial (vote)
Target Milestone: OOo 3.2
Assignee: dirk.voelzke
QA Contact: issues@framework
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2007-02-21 18:31 UTC by bettina.haberer
Modified: 2009-08-02 14:08 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Add percentage value at progressbar (69.63 KB, application/vnd.sun.xml.draw)
2007-02-21 18:35 UTC, bettina.haberer
no flags Details
Add percentage value to progress bar (69.69 KB, text/plain)
2007-03-01 10:22 UTC, bettina.haberer
no flags Details
Add percentage value (69.69 KB, application/vnd.sun.xml.draw)
2007-03-01 10:23 UTC, bettina.haberer
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description bettina.haberer 2007-02-21 18:31:12 UTC
When adding/removing/downloading/installing extension(s), the progressbar in
those appropriate dialogs will support the visualization of the progress by
showing a percentage value under the right end of the progressbar.
Comment 1 bettina.haberer 2007-02-21 18:35:39 UTC
Created attachment 43244 [details]
Add percentage value at progressbar
Comment 2 bettina.haberer 2007-02-21 19:07:14 UTC
And it also applies for the export dialog.
Comment 3 joachim.lingner 2007-02-22 08:25:03 UTC
.
Comment 4 joachim.lingner 2007-02-22 08:27:07 UTC
.
Comment 5 bettina.haberer 2007-03-01 10:22:18 UTC
Created attachment 43461 [details]
Add percentage value to progress bar
Comment 6 bettina.haberer 2007-03-01 10:23:01 UTC
Created attachment 43462 [details]
Add percentage value
Comment 7 bettina.haberer 2007-03-01 10:24:24 UTC
Hello Jochen, please consider the last attachment with a little addition. The
second attachment was sent in the wrong format. Would be nice to be able to
delete obsolete attachments...
Comment 8 joachim.lingner 2007-12-07 15:45:48 UTC
Retargeting to 3.0
Comment 9 bettina.haberer 2008-02-07 09:37:43 UTC
Set the target to 3.0.
Comment 10 bettina.haberer 2008-02-13 17:06:25 UTC
Hi Jochen, the Spec
http://specs.openoffice.org/appwide/packagemanager/Extension_Manager_UI_Change.odt
describes the progress bar in the extension manager for 3.0. If we can get the
percentage value, it will appear at the right side of the progress bar dur to
the smaller available room. 
Comment 11 bettina.haberer 2008-02-14 13:43:50 UTC
Hi Jochen, if you find no time to fix this one, you can work on it later. I
reset the priority. 
Comment 12 joachim.lingner 2008-02-15 06:02:33 UTC
Not possible for 3.0.
Comment 13 joachim.lingner 2008-12-09 15:26:24 UTC
retargeting
Comment 14 joachim.lingner 2009-07-21 15:28:51 UTC
@DV: Would you like to take this over? If not, then don't hesitate to reassign
this to me.
Comment 15 dirk.voelzke 2009-07-27 12:06:11 UTC
To all: Do we really need an extra percentage value? The available space is very
limited and the value isn't very useful at all, because nobody knows the exact
value of the progress. Therefor the bar will advance every X io operations and
will will restart from the beginning, when reaching the end. The main reason for
this progress bar is to provide the user with the information that there is
still something going on. And no, there is no easy way to get the total effort
time of an operation and to provide an exact progress.
Comment 16 Mechtilde 2009-08-02 14:08:38 UTC
wontfix -> closed